Apps
Knowledge
People
Register
Login


-
- Content .- Fans (8) .- Knowledge Base (1) . 

QOwnNotesAPI

   17.5.0  

ownCloud Tool

Score 60%
QOwnNotesAPI
zoom


Homepage:  http://www.qownnotes.org
Version Control:  Link
Issue Tracker:  Link
Minimum required   ownCloud 8.1
Maximum required   ownCloud 9.2
Downloads:  3977
Submitted:  Sep 20 2015
Updated:  May 13 2017

Description:

QOwnNotesAPI is the ownCloud API for QOwnNotes, the open source (GPL) notepad for Linux, Mac OS X and Windows, that works together with the notes application of ownCloud. (http://www.qownnotes.org).

The only purpose of this App is to provide API access to your ownCloud server for your QOwnNotes desktop installation, you cannot use this App for anything else, if you don't have QOwnNotes installed on your desktop computer!

Copy the app package to your `owncloud/apps` directory and unpack it there with "tar xvfz 173817-qownnotesapi.tar.gz". Then enable QOwnNotesAPI on your ownCloud Apps page.




Changelog:

## 17.5.0
- enabled and tested app for ownCloud 10 and Nextcloud 12

## 17.3.0
- fixed the time-output of the trashed notes api
- fixed some PHP warnings in the log

## 16.09.0
- fixed a problem when the ownCloud or Nextcloud server didn't provide the path
of a trashed note and thus no note was shown in the trash dialog of QOwnNotes
- increased `max-version` to `9.2`
- switched to rolling release version numbers

## 0.4.4
- added support for custom note file extensions

## 0.4.3
- fixed a warning on the app page in ownCloud 9.0

## 0.4.2
- added markdown (`.md`) file support to the trash restoration

## 0.4.1
- added check if notes path exists to app info api

## 0.4
- added api to restore trashed notes on the server
- fixed a bug in the trashed notes api were also notes from children folders of the notes folder would be viewed

## 0.3.2
- fixed a bug in the trashed notes api when the storage path is not in the ownCloud server path

## 0.3.1
- added checks if core trash bin and versions apps are enabled for the user
- app compliance changes

## 0.3
- added trashed notes api

## 0.2
- added app info api
- added versioning api

## 0.1
- first release




LicenseAGPL
All Versions
Send to a friend
Subscribe
Other  Apps  from pbe78
Report inappropriate content



goto page: prev   1  2  3 

-

  QOwnNotesAPI 16.09.0 doesn't work with oc 9.1.2

 
 by dh-connect on: Nov 9 2016
 
Score 50%

shoes in qownnotes app version 0


Reply to this

-

 Re: QOwnNotesAPI 16.09.0 doesn't work with oc 9.1

 
 by pbe78 on: Nov 9 2016
 
Score 50%

I had that too once with Nextcloud, I couldn't find a problem with QOwnNotesAPI. I had to remove the qownnotesapi variables in the oc_appconfig table, the version was set to 0 there. Try to check:
SELECT * FROM `oc_appconfig` WHERE appid = "qownnotesapi"


Reply to this

-

 Re: Re: QOwnNotesAPI 16.09.0 doesn't work with oc

 
 by dh-connect on: Nov 9 2016
 
Score 50%

yes it's true there is a 0 as version, i delete this one now qownnotes says "" (empty) version, that doesn't look right to me, so how is the fix?


Reply to this

-

 Re: Re: Re: QOwnNotesAPI 16.09.0 doesn't work wit

 
 by pbe78 on: Nov 9 2016
 
Score 50%

The easiest way is just to set the correct version number like in https://github.com/pbek/qownnotesapi/issues/3

I guess you could also delete all entries of qownnotesapi and enable the app again.


Reply to this

-

 Re: Re: Re: Re: QOwnNotesAPI 16.09.0 doesn't work

 
 by dh-connect on: Nov 10 2016
 
Score 50%

worked, thanks


Reply to this

-

 Re: QOwnNotesAPI 16.09.0 doesn't work with oc 9.1

 
 by pbe78 on: Nov 9 2016
 
Score 50%

Maybe it's the same problem like <https://github.com/pbek/qownnotesapi/issues/3>. In any case, can you please open an issue at https://github.com/pbek/qownnotesapi/issues


Reply to this

-
.

 package won't unpack and API not acknowledged

 
 by chrubble on: Nov 15 2016
 
Score 50%

I loaded the tar.gz to my owncloud/apps/ folder and ftp'd in to it via terminal. But the "tar xvfz 173817-qownnotesapi.tar.gz" would not work (I tried with package without executable permissions and with) so I decompressed and uploaded the folder to the /apps/ directory via ftp, but the QOwnNotes application will not recognise it. Error "not connected connection to QOwnNotesAPI" - So I cannot sync.


Reply to this

-

 Re: package won't unpack and API not acknowledged

 
 by pbe78 on: Nov 15 2016
 
Score 50%

Have you enabled QOwnNotesAPI on your ownCloud server on the Apps page? It should also be available in the app store directly...

You don't need QOwnNotesAPI for syncing, see: http://www.qownnotes.org/Knowledge-base/Why-isn-t-QOwnNotesAPI-syncing-my-notes


Reply to this

-

 Re: Re: package won't unpack and API not acknowled

 
 by chrubble on: Nov 15 2016
 
Score 50%

Thanks - Yes I switched on the OwnNotes app in the server, previously. But the QOwnNotes "connect to you OwnCloud Server" preferences screen will not connect and still asks for the QOwnNotesAPI - I looked at the link you provided and of course the answer is there ... It makes no sense that the QOwnNotes preferences contain that option!


Reply to this

-

 Re: Re: Re: package won't unpack and API not ackno

 
 by pbe78 on: Nov 15 2016
 
Score 50%

Which option are you talking about? Can you please open an issue at the issue page (after you took a look at older issues) if you still have problems?


Reply to this

-

 Re: Re: Re: Re: package won't unpack and API not a

 
 by chrubble on: Nov 15 2016
 
Score 50%

In the link you provided it states that "QOwnNotesAPI isn't supposed to sync your notes (as stated in the ownCloud settings of QOwnNotes and on the QOwnNotes webpage)" - This is not the best use of English but I take it to mean that "EVEN THOUGH ownCloud and QOwnNotes settings say the opposite, QOwnNotes is not meant to sync using QOwnNotesAPI" (or it could mean "AS IS SAYS IN SETTINGS QOwnNotesAPI isn't supposed to sync your notes") - However, the QOwnNotes settings page "OwnCloud-->Your OwnCloud-->Connect..." suggests that the application should be able to connect (not sync, I suppose) with mu OwnCloud server in order to access Versions and Deleted Files. But it won't make the connection.


Reply to this

-

 Re: Re: Re: Re: Re: package won't unpack and API n

 
 by pbe78 on: Nov 15 2016
 
Score 50%

I don't know why "as stated in" isn't good English: http://www.merriam-webster.com/dictionary/stated


Reply to this

goto page: prev   1  2  3 

Add commentBack




-
 
 Who we are
Contact
Register
Explore
Apps
Knowledge
People
Participate
Add App
Public API
About apps.ownCloud.com
Legal Notice
Report Abuse
 

Copyright 2011-2017 apps.ownCloud.com Team  
All rights reserved. apps.ownCloud.com is not liable for any content or goods on this site.
All contributors are responsible for the lawfulness of their uploads.